Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82907 - gnome-terminal handles input slowly and slows down as lines become long
Summary: gnome-terminal handles input slowly and slows down as lines become long
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: vte
Version: 1.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-28 12:01 UTC by Luca Barbieri
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-11-09 16:08:06 UTC


Attachments (Terms of Use)

Description Luca Barbieri 2003-01-28 12:01:18 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030117

Description of problem:
gnome-terminal seems to handle cursor moving, insertion and pasting with worse
than O(n) algorithms where n is the length of the current line.

Furthermore such algorithms are slow even at the start of the line.


Version-Release number of selected component (if applicable):
gnome-terminal-2.2.0-1

How reproducible:
Always

Steps to Reproduce:
1. Paste a string several thousands characters long in gnome-terminal
2. Move with the left/right arrows within it

    

Actual Results:
Pasting is very slow, and becomes even slower as the operation progresses. The
screen is redrawn after every character

Moving is also very slow. If you press an arrow several times and then stop,
gnome-terminal is so slow that it will continue to process the old keystrokes
for some time.



Expected Results:  Both operations should happen instantaneously.
The screen should only be redrawn when the whole string has been pasted.

Comment 1 Luca Barbieri 2003-01-28 21:49:00 UTC
s/worse than O(n)/non-constant time, probably O(n)/


Comment 2 Nalin Dahyabhai 2003-05-22 20:47:01 UTC
Is this at a shell prompt?  If so, then it's probably specific to the shell
rather than the terminal.

Comment 3 Ray Strode [halfline] 2004-11-09 16:08:06 UTC
Hi Luca,

This does not appear to be a bug in gnome-terminal or vte.

If I type "cat" at the prompt and paste a line of text that is several
thousand characters long there is no noticeable delay in the text
getting pasted.

I'm going to close this bug, but if you are still experiencing this
problem, feel free to open a bug against the shell that you use.

Thanks.


Note You need to log in before you can comment on or make changes to this bug.